Package net.rubygrapefruit.platform.internal

# Class PosixFileSystems

java.lang.Object
net.rubygrapefruit.platform.internal.PosixFileSystems

All Implemented Interfaces:
  `FileSystems`, `NativeIntegration`

public class PosixFileSystems extends Object implements FileSystems

## Constructor Summary

Constructors
Constructor
Description
`PosixFileSystems()`

## Method Summary

Modifier and Type
Method
Description
`List<FileSystemInfo>`
`getFileSystems()`
Returns the set of all file systems for the current machine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PosixFileSystems

public PosixFileSystems()

## Method Details

### getFileSystems

public List<FileSystemInfo> getFileSystems()
Description copied from interface: `FileSystems`
Returns the set of all file systems for the current machine.

Specified by:
  `getFileSystems` in interface `FileSystems`
Returns:
  The set of file systems. Never returns null.